libzypp: zypp::repo::PackageProvider::Impl Class Reference

libzypp 17.25.10

Public Member Functions | List of all members
zypp::repo::PackageProvider::Impl Class Referenceabstract

PackageProvider implementation interface. More...

Inheritance diagram for zypp::repo::PackageProvider::Impl:
[legend]

## Public Member Functions
| Impl ()
virtual | ~Impl ()
virtual ManagedFile | providePackage () const =0
| Provide the package. More...
virtual ManagedFile | providePackageFromCache () const =0
| Provide the package if it is cached. More...
virtual bool | isCached () const =0
| Whether the package is cached. More...

## Detailed Description

PackageProvider implementation interface.

Definition at line 82 of file PackageProvider.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::repo::PackageProvider::Impl::Impl | ( |  | ) |
| inline

Definition at line 84 of file PackageProvider.cc.

## ◆ ~Impl()

virtual zypp::repo::PackageProvider::Impl::~Impl | ( |  | ) |
| inlinevirtual

Definition at line 85 of file PackageProvider.cc.

## Member Function Documentation

## ◆ providePackage()

virtual ManagedFile zypp::repo::PackageProvider::Impl::providePackage | ( |  | ) | const
| pure virtual

Provide the package.

The basic workflow.

Exceptions

  Exception. |

Implemented in zypp::repo::PackageProviderImpl< TPackage >, and zypp::repo::PackageProviderImpl< Package >.

## ◆ providePackageFromCache()

virtual ManagedFile zypp::repo::PackageProvider::Impl::providePackageFromCache | ( |  | ) | const
| pure virtual

Provide the package if it is cached.

Implemented in zypp::repo::PackageProviderImpl< TPackage >, and zypp::repo::PackageProviderImpl< Package >.

## ◆ isCached()

virtual bool zypp::repo::PackageProvider::Impl::isCached | ( |  | ) | const
| pure virtual

Whether the package is cached.

Implemented in zypp::repo::PackageProviderImpl< TPackage >, and zypp::repo::PackageProviderImpl< Package >.

The documentation for this class was generated from the following file:

- zypp/repo/PackageProvider.cc